import React from "react"
import { connect } from "react-redux"
import { bindActionCreators } from "redux"
import { updateUser } from "../../actions/admins"

import Modules from "../modules/modules"
import UserList from "./users"
import Stats from "./stats"

function mapStateToProps(state) {
  return {
    users : state.adminStore.get("users"),
    stats : state.adminStore.get("stats"),
    modules : state.adminStore.get("modules"),
  };
}
const mapDispatchToProps = (dipatch) =>
  bindActionCreators({ updateUser }, dipatch)

function AdminPanel(props) {
  return (
    <div>
      <Stats
        stats={props.stats}
      />
      <UserList
        users={props.users}
        updateUser={props.updateUser}
      />
      <Modules
        modules={props.modules}
      />
    </div>
  );
}

export default connect(mapStateToProps, mapDispatchToProps)(AdminPanel);
